# Rights

Get intellectual property rights for a company.

Returns a paginated list of intellectual property rights (trademarks, patents, etc.) registered to the specified company.

## Endpoint

```text
GET /api/v1/companies/:company_id/rights
```

## Parameters

| Parameter | Type | In | Description |
| --- | --- | --- | --- |
| `company_id` | `integer` | path | The unique identifier of the company. |
| `page` | `integer` | body | Page number (default: 1). |
| `limit` | `integer` | body | Records per page (default: 100). |

## Code Examples

**Get rights**

**Python**

```python
import requests

url = 'https://statsnet.co/api/v1/companies/12345/rights'
headers = {
  'Authorization': 'Bearer sk_live_YOUR_KEY',
  'Content-Type': 'application/json'
}

response = requests.get(url, headers=headers).json()
print(response)
```

**TypeScript**

```typescript
const url = 'https://statsnet.co/api/v1/companies/12345/rights';

const response = await fetch(url, {
headers: {
  'Authorization': 'Bearer sk_live_YOUR_KEY',
  'Content-Type': 'application/json',
},
});

const data = await response.json();
console.log(data);
```

**Go**

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {
	url := "https://statsnet.co/api/v1/companies/12345/rights"

	req, _ := http.NewRequest("GET", url, nil)
	req.Header.Set("Authorization", "Bearer sk_live_YOUR_KEY")
	req.Header.Set("Content-Type", "application/json")

	client := &http.Client{}
	resp, _ := client.Do(req)
	defer resp.Body.Close()

	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
```

## Response

**Success response**

```json
{
  "rights": [
    {
      "id": 1,
      "jurisdiction": "kz",
      "name": "STATSNET",
      "object_type": "trademark",
      "object_date": "2023-06-01T00:00:00Z",
      "status": "active",
      "registration_number": "TM-2024-001",
      "registration_date": "2024-01-01T00:00:00Z",
      "application_date": "2023-06-01T00:00:00Z",
      "holders": ["Company Name LLP"],
      "created_at": "2024-01-14T00:06:22.439Z",
      "updated_at": "2024-01-15T13:24:54.248Z"
    }
  ],
  "total": 1,
  "pagination_total": 1,
  "pagination_offset": 0
}
```

## Error Handling

**Error response (403)**

```json
{
  "status": 403,
  "message": "access denied"
}
```

**Payment required (402)**

```json
{
  "status": 402,
  "message": "payment required"
}
```

**Quota exhausted (429)**

```json
{
  "status": 429,
  "message": "quota exhausted"
}
```
